export declare const ConnectorSchemaTemplate = "import * as zod from \"zod\";\n\nimport { type SmartFormFieldsMetadata } from \"@netlify/sdk/ui/react/components\";\n\n// This is an example schema, see https://developers.netlify.com/sdk/connectors/develop/configuration-options/#option-properties for more information.\nexport const ConnectorConfigurationSchema = zod.object({\n  apiUrl: zod.string().trim().min(1).default(\"https://api.example.com\"),\n  apiToken: zod.string().trim().min(1).default(\"exampleToken\"),\n  // The instanceID field is needed for additional Connect features\n  instanceID: zod.string().optional()\n});\n\nexport const configFieldsMeta: SmartFormFieldsMetadata = {\n  apiUrl: {\n    label: \"API URL\",\n    helpText: \"The URL of the API to connect to\",\n  },\n  apiToken: {\n    label: \"API Token\",\n    helpText: \"The token to authenticate with the API\",\n    secret: true\n  },\n  instanceID: {\n    label: \"Instance ID\",\n    helpText: \"The ID of the instance to connect to\",\n  },\n};\n\nexport type ConnectorSettings = Zod.output<typeof ConnectorConfigurationSchema>;";
//# sourceMappingURL=connector-configuration.ts.template.d.ts.map